RubyGems Navigation menu

graphql-docs 4.0.0

Library and CLI for generating a website from a GraphQL API's schema definition. With ERB templating support and a plethora of configuration options, you can customize the output to your needs. The library easily integrates with your Ruby deployment toolchain to ensure the docs for your API are up to date.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 5.0.0 - July 03, 2024 (1.32 MB)
  2. 4.0.0 - January 26, 2023 (1.32 MB)
  3. 3.0.1 - October 14, 2022 (1.31 MB)
  4. 3.0.0 - March 23, 2022 (1.31 MB)
  5. 2.1.0 - December 30, 2021 (1.31 MB)
Show all versions (50 total)

Runtime Dependencies (7):

commonmarker >= 0.23.6, ~> 0.23
dartsass ~> 1.49
escape_utils ~> 1.2
gemoji ~> 3.0
graphql ~> 2.0
html-pipeline >= 2.14.3, ~> 2.14

Development Dependencies (8):

html-proofer ~> 3.4
minitest ~> 5.0
rake ~> 13.0
rubocop ~> 1.37
webmock ~> 2.3
webrick ~> 1.7

Owners:

Pushed by:

Authors:

  • Brett Chalupa, Garen Torikian

SHA 256 checksum:

= Copy to clipboard Copied!

Total downloads 22,262,429

For this version 4,207,052

License:

MIT

Required Ruby Version: >= 2.6.0

Links: